Project

General

Profile

Actions

Anomalie #1678

closed

Problème de connexion sur la partie administrateur

Added by Sébastien GARNAUD 8 months ago. Updated 5 months ago.

Status:
Fermé
Priority:
Urgent
Assignee:
-
Category:
-
Target version:
-
Start date:
04/19/2023
Due date:
% Done:

100%

Estimated time:
Version utilisée:

Description

Bonjour,

Depuis hier, impossible de me connecter en tant qu'administrator sur l'interface Galette que l'on utilise depuis bientôt 10 ans.Via le lien, nos adhérents peuvent consulter https://www.geopolis.fr/geoadherent/webroot/index.php/login. Si je me connecte en tant qu'adhérent, pas de problème mais en tant qu'administateur, la page est blanche... impossible ensuite de réouvrir la page de connection, il faut que je quitte Firefox ou Google Chrome pour voir de nouveau la page s'afficher.

Je n'ai rien changé de mon côté, toujours en php 7.4 en verion 0.9.6.2. Je suis passé en 8.0 mais le problème est le même.

Merci de votre aide


Files

Capture.JPG (40.6 KB) Capture.JPG Sébastien GARNAUD, 04/19/2023 10:37 PM
galette.log (47.7 KB) galette.log Sébastien GARNAUD, 04/20/2023 08:41 AM

Related issues 1 (0 open1 closed)

Is duplicate of Galette - Anomalie #1617: Err500 due to Telemetry popup FerméJohan Cwiklinski01/14/2022

Actions
Actions #1

Updated by Johan Cwiklinski 8 months ago

  • Status changed from Nouveau to Commentaire

Il faut aller voir ce que disent les fichiers de log

Actions #2

Updated by Sébastien GARNAUD 8 months ago

Johan Cwiklinski a écrit (#note-1):

Il faut aller voir ce que disent les fichiers de log

Je viens de le rajouter. Merci !

Actions #3

Updated by Johan Cwiklinski 8 months ago

Le problème vient peut-être de là, en arrivant sur le dashboard :

ERROR - Unable to load feed languages from "https://galette.eu/site" :( | file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0

Il faudrait essayer, une fois connecté, de modifier l'URL en remplacant /dashboard par /members

Actions #4

Updated by Sébastien GARNAUD 8 months ago

Johan Cwiklinski a écrit (#note-3):

Le problème vient peut-être de là, en arrivant sur le dashboard :
[...]

Il faudrait essayer, une fois connecté, de modifier l'URL en remplacant /dashboard par /members

Hummm j'ai toujours une page blanche.

Actions #5

Updated by Johan Cwiklinski 8 months ago

Sébastien GARNAUD a écrit (#note-4):

Johan Cwiklinski a écrit (#note-3):

Le problème vient peut-être de là, en arrivant sur le dashboard :
[...]

Il faudrait essayer, une fois connecté, de modifier l'URL en remplacant /dashboard par /members

Hummm j'ai toujours une page blanche.

Et que disent les logs ?

Actions #6

Updated by Sébastien GARNAUD 8 months ago

Johan Cwiklinski a écrit (#note-5):

Sébastien GARNAUD a écrit (#note-4):

Johan Cwiklinski a écrit (#note-3):

Le problème vient peut-être de là, en arrivant sur le dashboard :
[...]

Il faudrait essayer, une fois connecté, de modifier l'URL en remplacant /dashboard par /members

Hummm j'ai toujours une page blanche.

Et que disent les logs ?

127.0.0.80 - 2023-04-20 07:12:16 - ERROR - Unable to load feed languages from "https://galette.eu/site" :( | file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0
127.0.0.80 - 2023-04-20 07:12:16 - ERROR - Unable to load feed from "https://galette.eu/site" :( | file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0
127.0.0.80 - 2023-04-20 07:12:16 - ERROR - Unable to load feed from "https://galette.eu/site" :( | file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0
127.0.0.80 - 2023-04-20 07:12:16 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:16 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:16 - INFO - Cannot translate empty strings..
127.0.0.80 - 2023-04-20 07:12:21 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:21 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:27 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:27 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:37 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:37 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:48 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:12:48 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:15:50 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:15:50 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:17:09 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:17:09 - DEBUG - Trying to set locale to en_US
127.0.0.80 - 2023-04-20 07:17:09 - WARNING - Plugin Galette Maps is known to be compatible with Galette 0.9.2 only, but you current installation require a plugin compatible with at least 0.9.6
127.0.0.80 - 2023-04-20 07:17:09 - INFO - Cannot translate empty strings..

Actions #7

Updated by Johan Cwiklinski 8 months ago

Il n'y a malheureusement rien là dedans qui explique l'erreur. La seule erreur montrée dans le slogs ne peut survenir que sur le dashboard, pas sur la liste des adhérents. Il faudrait contacter l'hébergeur pour avoir les logs PHP côté serveur.

Actions #8

Updated by Sébastien GARNAUD 8 months ago

Johan Cwiklinski a écrit (#note-7):

Il n'y a malheureusement rien là dedans qui explique l'erreur. La seule erreur montrée dans le slogs ne peut survenir que sur le dashboard, pas sur la liste des adhérents. Il faudrait contacter l'hébergeur pour avoir les logs PHP côté serveur.

Merci, je les contacte.

Actions #9

Updated by Sébastien GARNAUD 8 months ago

Sébastien GARNAUD a écrit (#note-8):

Johan Cwiklinski a écrit (#note-7):

Il n'y a malheureusement rien là dedans qui explique l'erreur. La seule erreur montrée dans le slogs ne peut survenir que sur le dashboard, pas sur la liste des adhérents. Il faudrait contacter l'hébergeur pour avoir les logs PHP côté serveur.

Merci, je les contacte.

J'ai un accès direct avec :

geopolis.fr [Thu Apr 20 09:23:35.183166 2023] [fastcgi:error] [pid 27254:tid 140633214129920] [client 2a01:e34:ec7f:9820:d963:f17c:9478:af25:0] FastCGI: server "/home/clients/965166fbffc5486abbea3659492ac3c8/.config/apache/geopolis.fr/.fpm/php5.external" stderr: #4 /home/clients/965166fbffc5486abbea3659492ac3c8/geopolis/geoadherent/vendor/php-di/php-di/src/Definition/Resolver/ResolverDispatcher.php(71): DI\\Definition\\Resolver\\FactoryResolver->resolve(Object(DI\\Definition\\FactoryDefinition), Arra...abbea3659492ac3c8/geopolis/geoadherent/includes/dependencies.php(157): {closure}(2, 'Undefined array...', '/home/clients/9...', 157), referer https://www.geopolis.fr/geoadherent/webroot/index.php/login

geopolis.fr [Thu Apr 20 09:23:35.183010 2023] [-:error] [pid 27254:tid 140633214129920] [client 2a01:e34:ec7f:9820:d963:f17c:9478:af25:0] FastCGI: server "/home/clients/965166fbffc5486abbea3659492ac3c8/.config/apache/geopolis.fr/.fpm/php5.external" stderr: #3 /home/clients/965166fbffc5486abbea3659492ac3c8/geopolis/geoadherent/vendor/php-di/php-di/src/Definition/Resolver/FactoryResolver.php(80): Invoker\\Invoker->call(Object(Closure), Array), referer https://www.geopolis.fr/geoadherent/webroot/index.php/login

geopolis.fr [Thu Apr 20 09:23:35.183006 2023] [-:error] [pid 27254:tid 140633214129920] [client 2a01:e34:ec7f:9820:d963:f17c:9478:af25:0] FastCGI: server "/home/clients/965166fbffc5486abbea3659492ac3c8/.config/apache/geopolis.fr/.fpm/php5.external" stderr: #2 /home/clients/965166fbffc5486abbea3659492ac3c8/geopolis/geoadherent/vendor/php-di/invoker/src/Invoker.php(74): call_user_func_array(Object(Closure), Array), referer https://www.geopolis.fr/geoadherent/webroot/index.php/login

Actions #10

Updated by Johan Cwiklinski 8 months ago

Actions #11

Updated by Johan Cwiklinski 8 months ago

  • Status changed from Commentaire to Résolu
  • % Done changed from 0 to 100

Ok, c'est un problème déjà rapporté et corrigé (#1617), en rapport avec le renouvellement de la télémétrie (une fois par an, ce qui explique que ça marchait avant).

Le correctif du fichier includes/dependencies.php est assez simple (le commit en question 3570d3439fd749155f67fb9957ac0fdeea397c79) :

-        if ($now > $sent && !$_COOKIE['renew_telemetry']) {
+        if ($now > $sent && !isset($_COOKIE['renew_telemetry'])) {

Actions #12

Updated by Sébastien GARNAUD 8 months ago

Johan Cwiklinski a écrit (#note-11):

Ok, c'est un problème déjà rapporté et corrigé (#1617), en rapport avec le renouvellement de la télémétrie (une fois par an, ce qui explique que ça marchait avant).

Le correctif du fichier includes/dependencies.php est assez simple (le commit en question 3570d3439fd749155f67fb9957ac0fdeea397c79) :
[...]

Merci, génial, cela refonctionne comme avant !

Actions #13

Updated by Johan Cwiklinski 5 months ago

  • Status changed from Résolu to Fermé
Actions

Also available in: Atom PDF